<script>
  // Imports
  import { json } from "d3-fetch";
  import { onMount } from "svelte";
 

  import Leaf from "./_design_3_leaf.svelte";

  // Size and margins
  const width = 800;
  const height = 600;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Load the data
  let data = null;
  onMount(async () => {
    data = await json("/data/hourly_electricity_vs_gas_december.json");
  });

</script>


{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <svg {width} {height}>
    <g transform="translate({margin.left}, {margin.top})">
      
      <g transform="translate({(innerWidth/2)-margin.left+8},350) rotate(-5)">
        <Leaf data={data.filter(d => d.week == 48)}/>
      </g>
      <g transform="translate({(innerWidth/2)+margin.left-2},275) scale(-1,1) rotate(-10)">
        <Leaf data={data.filter(d => d.week == 49)}/>
      </g>
      <g transform="translate({(innerWidth/2)-margin.left},200) rotate(-15)">
        <Leaf data={data.filter(d => d.week == 50)}/>
        </g>
        <g transform="translate({(innerWidth/2)+margin.left+3},125) scale(-1,1) rotate(-20)">
          <Leaf data={data.filter(d => d.week == 51)}/>
        </g>
      <g transform="translate({(innerWidth/2)-margin.left},50) rotate(-15)">
        <Leaf data={data.filter(d => d.week == 52)}/>
      </g>  
 
      
     
  
     
     
      <line
      x1={innerWidth / 2}
      x2={innerWidth / 2}
      y1={450}
      y2={0}
      style="stroke:sienna; stroke-width:5; "
      
    />

      <text 
        transform="translate({(innerWidth/2)},{innerHeight-50})"
        class = "citytitle">
          Baltimore
      </text>
      <text 
        transform="translate({(innerWidth/2)},{innerHeight-25})"
      class = "TimeFrame">
      (December 2014)
      </text>

    <text 
    transform="translate(600,450)"
    class = "week">
      Week 1
  </text>
  <text 
  transform="translate(100,360)"
  class = "week">
   Week 2
  </text>
      <text 
  transform="translate(600,250)"
  class = "week">
    Week 3
  </text>
  <text 
  transform="translate(100,160)"
  class = "week">
   Week 4
  </text>
  <text 
  transform="translate(600,50)"
  class = "week">
   Week 5
  </text>


  <text 
  transform="translate(250,{innerHeight})"
  >
    Graph 3: Weekly 
</text>



    </g>
    
    <text x="385" y={innerHeight+10} style="fill:blue">Electricity usage</text>
    <text x="510" y={innerHeight+10} >and </text>
    <text x="540" y={innerHeight+10} style="fill:orange">Gas usage</text>

    
  </svg>
{/if}

<style>
  .citytitle {
    font:  45px serif; 
  }
  .TimeFrame {
    font:  25px serif;
  }

  .week {
    font:  15px serif;
  }

 
</style>
